function est_x = finalize_sym_lsm(...
    iter,...
    xa,...
    est_xa,...
    plot_type)

%% finalize matching
%
% wf 7/2020

N_iter=iter  ;
% square parameters
Tg_esta.x = [reshape(xa(1:6),2,3);[0 0 1]];
A_est     = Tg_esta.x*Tg_esta.x;
Tr_esta.x = [xa(7:8)';0 1];
R_est     = Tr_esta.x*Tr_esta.x;

% derive CovM
a     = est_xa.x;
J = [2*a(1)  a(3)      a(2)      0    0      0        0             0;
    a(2)   a(1)+a(4)   0       a(2)   0      0        0             0;
    a(3)     0      a(1)+a(4)  a(3)   0      0        0             0;
    0      a(3)       a(2)    2*a(4)  0      0        0             0;
    a(5)     0       a(6)      0    a(1)+1 a(3)       0             0;
    0      a(5)       0       a(6)  a(2)   a(4)+1     0             0;
    0        0        0        0      0      0      2*a(7)          0;
    0        0        0        0      0      0        a(8)      1+a(7)  ];
C_yy = J * est_xa.C * J';
if plot_type > 0
    disp('=== Final result =============================================')
end
if plot_type > 1
    Sigma_rho =  covariance_2_sigma_rho(C_yy)
end

% set estimated values
est_x.x  = [reshape(A_est(1:2,:),6,1);R_est(1,:)'];
est_x.C  = C_yy;
if plot_type > 1
    sigmas   = diag(sqrt(C_yy))'
    A_est    = A_est(1:3,:)
    Sigmas_A = reshape(sigmas(1:6),2,3)
    R_est    = R_est(1,1:2)
    Sigmas_R = sigmas(7:8)
end
est_x.Ah = A_est;
est_x.R  = R_est;

end

