function [outputArg1,outputArg2] = image_pair_analyse(...
    A_a,  ...
    R_a, ...
    Ai_est, ...
    Red, ...
    est_sigma_0, ...
    est_x, ...
    plot_type,test_symmetry)
%% analyse result of matching image pair
%
% wf 7/2020

if Red > 0
    if plot_type > 1
        A_est= [reshape(est_x.x(1:6),2,3);0 0 1]
        A_estimated_corrections      = A_est  - A_a
        R_est                        = est_x.x(7:8)'
        R_estimated_corrections      = R_est -R_a
    end
    if plot_type > 0
        if test_symmetry
            check_symmetry_BBi_I = A_est*Ai_est-eye(3)
            check_symmetry_SSi_I = Rm_est*Rmi_est-eye(2)
        end
    end
    
    
    
    %% provide result
    Redundancy           = Red
    est_sigma_0          = est_sigma_0
    disp('Geometric transformation [1, 1, [pixel]]')
    sigmas               = diag(sqrt(est_x.C))';
    A_est                = reshape(est_x.x(1:6),2,3)
    A_corrections_wrt_approximate_values        = A_est - A_a(1:2,:)
    Sigmas_A             = reshape(sigmas(1:6),2,3)
    est_Sigmas_A = Sigmas_A*est_sigma_0
    disp('Intensity transformation [1,[gr]]')
    R_est                = [est_x.x(7),255*est_x.x(8)]
    R_corrections_wrt_approximate_values        = R_est - R_a
    Sigmas_R             = [sigmas(7),255*sigmas(8)]
    est_Sigmas_R         = est_sigma_0*[sigmas(7),255*sigmas(8)]
    
    
else
    disp('No solution found')
end
end


