function par = image_pair_display_parameters(par)
%% display control parameters
%
% wf 7/2020


% ---   file name ------------------------------------------------------

disp(['type_data = ',num2str(par.type_data),', image file name for simulation    : ', par.img_filename])



if  par.img_filename(1:3) == 'MIT'
    disp(['row and column                                   : [', ...
        num2str(par.row),',',num2str(par.col),']'])
end

% ---  half size of common window, corresponds to number of observations if scale=1
disp(['Appr. size of common window                      : ', num2str(2*par.Nfr+1)])

% ---  noise variance = s + t*g (for the range [0,255]) ----------------
disp(['noise variance v(g)=s + t * g [gr]               : [', ...
    num2str(par.stg(1)),',',num2str(par.stg(2)),']'])
disp(['noise variance v(h)=s + t * h [gr]               : [', ...
    num2str(par.sth(1)),',',num2str(par.sth(2)),']'])

% ---  Affinities ------------------------------------------------------
% Geometric affinity z = A y

disp( 'True geometric transformation affinity  z = A y  : ')
disp(par.A_t);
% Radiometric affinity h = b7*y + b8

disp(['True intensity transformation h = b7*y + b8 [gr] : [',...
    num2str(par.R_true(1)),',',num2str(par.R_true(2)*255),']'])



% ---  smoothing kernel ------------------------------------------------
disp(['Smoothing kernel [pixels]                        : ', num2str(par.sigma_smooth)])

% ---  maximum number of iterations ------------------------------------
disp(['Maximum number of iterations                     : ', num2str(par.max_iter)])

% ---  significance level ----------------------------------------------
disp(['Significance level                               : ', num2str(100*par.S),'%'])

end

