function par = image_pair_prepare_values(par)
%% prepare approxmate values for demo image pair
%
% wf 7/2020

% --- true affinity referring to centre of windows ----------------------
par.A_true   = [par.A_t; 0 0 1];
% half transformation A=B^2
par.B_true   = sqrtm(par.A_true);
par.Bi_true  = inv(par.B_true);

% --- true radiometric parameters R=S^2 ---------------------------------
par.a7_true = sqrt(par.R_true(1));
par.a8_true = par.R_true(2)/(1+par.a7_true);
par.S_true  = [par.a7_true,par.a8_true];

% --- true parameters ---------------------------------------------------
par.x_true = [reshape(par.A_true(1:2,:),6,1);par.R_true'];

% --- approximate values ------------------------------------------------
par.A_a  = par.A_true;
par.Ai_a = inv(par.A_a);
par.R_a  = par.R_true;
par.Ri_a =  1/(par.R_a(1,1))*[1,-par.R_a(2)];

end

