function [Nig,Nih,Image_l,Image_r,X,par] = image_pair_provide_images_and_coordinates(par);
%% provide iamges and coordinates
%
% images by path and file name
% coordinates either interactive or from file
%
% Nig, Nih          half window sizes in left and right image
% Image_l, Image_r  left and right image
% X                 2x4 coordinates begin and end of arrow
%                   (begin = centre, end-begi -> scale and direction)
%
% wf 7/2020


% Images
Image_l = imread(fullfile(par.im_path,par.Image_name_l));
Image_r = imread(fullfile(par.im_path,par.Image_name_r));
par.coordinate_name = fullfile(par.pt_path,[par.Image_name_l(1:end-4),...
    par.Image_name_r(1:end-4)]);


display(['image file name 1                                : ', fullfile(par.im_path,par.Image_name_l)])
display(['image file name 2                                : ', fullfile(par.im_path,par.Image_name_r)])
% show images
f1 = figure('name','Left image');
imshow(Image_l);
set(f1,'Position',[0 par.ss(2)/2.4 par.ss(1)/2 par.ss(2)/2]);

f2 = figure('name','Right image');
imshow(Image_r);
set(f2,'Position',[par.ss(1)/2 par.ss(2)/2.4 par.ss(1)/2 par.ss(2)/2]);


if par.readX == 0   % measure image correspondencies
    
    [x1, x2] = measure_homologeous_Points_with_s_and_d(f1, f2, Image_l, Image_r, 1,'xy');
    
    if x1 < 0
        disp('Measurements interrupted')
        return
    end
    X = [round(x1(1:2)'), x1(3:4)'; round(x2(1:2)'), x2(3:4)'];
    
    save(par.coordinate_name,'X');
    
else  % read measured image correspondencies from file
    
    load(par.coordinate_name,'X');
    
    
    figure(f1)
    hold on
    plot_circle_direction_with_background(X(1,2),X(1,1),3*X(1,3),X(1,4),8,4)
    %plot_square_with_background(X(n,2),X(n,1),100,plot_params.f1,plot_params.f2);
    
    figure(f2)
    hold on
    plot_circle_direction_with_background(X(2,2),X(2,1),3*X(2,3),X(2,4),8,4)
    %plot_square_with_background(X(n,4),X(n,3),100,plot_params.f1,plot_params.f2);
end

% half size of window in left image
Nig = round(par.factor_s*X(1,3));
Nih = round(par.factor_s*X(2,3));
end

