function par = simulated_prepare_true_values(par)
%% prepare true and approximate values
%
% wf 7/2020

% --- generate variance function (LUT) ----------------------------------
range_g         = 0:255;
par.vg          = var_g(range_g(:),par.stg);
par.vh          = var_h(range_g(:),par.sth);
% include rounding
par.vg = (par.vg+1/12*ones(256,1));
par.vh = (par.vh+1/12*ones(256,1));
% maximum sigma (for determining range of true image)
par.sigma_max   = sqrt(max([par.vg(:);par.vh(:)]));

% --- true affinity referring to centre of windows ----------------------
par.A_true   = [par.A_t; 0 0 1];
% half transformation A=B^2
par.B_true   = sqrtm(par.A_true);
par.Bi_true  = inv(par.B_true);

% --- true radiometric parameters R=S^2 ---------------------------------
par.a7_true = sqrt(par.R_true(1));
par.a8_true = par.R_true(2)/(1+par.a7_true);
par.S_true  = [par.a7_true,par.a8_true];

% --- true parameters ---------------------------------------------------
par.x_true = [reshape(par.A_true(1:2,:),6,1);par.R_true'];

% --- approximate values ------------------------------------------------
par.A_a  = par.A_true;
par.Ai_a = inv(par.A_a);
par.R_a  = par.R_true;
par.Ri_a =  1/(par.R_a(1,1))*[1,-par.R_a(2)];

end

