function dist = dist_poly_ray(bb,j,u,v)
% determine distance of origin to 
% intersection of j-th side of polygon bb and ray [u,v,0] from origin
%
% call
% dist = dist_poly_ray(bb,j,u,v)
% bb     Nx2 matrix of coordinates of polygon
% j      number of selected side [j,j+1]
% u,v    direction [u,v] of ray from origin
% wf 7/2020

%% coordinates of j-th side of polygon
a=bb(1,j);
b=bb(2,j);
c=bb(1,j+1);
d=bb(2,j+1);
%% intersection point of diagonal with j-th side of boundary
% denomiator
den = -u*c+u*a+v*b-v*d;
% coordinates
x1 = -(v*(a*d-b*c))/den;
x2 =  (u*(a*d-b*c))/den;
%% distance
dist = norm([x1,x2]);

end

