%% plot circle with direction and with background
%
% Usage:
%   plot_square_with_background(x,y,s,d,f1,f2);
%
% x,y   position
% s     radius
% d     direction
% f1    width of black background
% f2    width of yellow foreground

function plot_circle_direction_with_background(x,y,s,d,f1,f2)

if nargin < 4
    f1 = 4;
    f2 = 2;
end
% number of points on circle
N=100;
% range of directions
phis=0:2*pi/(N+1):2*pi;
% plot circle
plot([x,x+s*sin(d)],[y,y+s*cos(d)],'-k','Linewidth',f1);
plot([x,x+s*sin(d)],[y,y+s*cos(d)],'-y','Linewidth',f2);
% plot direction
plot(x+s*sin(phis),y+s*cos(phis),'-k','Linewidth',f1);
plot(x+s*sin(phis),y+s*cos(phis),'-y','Linewidth',f2);
return
