% LSM_generate_square generates square image with suqare
%
% I = LSM_generate_square(N0,b)
%
% N0    = size of image
% Nf    = size of square
% f_min = minimum intensity
% f_ma  = maximum intensity
% par   = [f,s] size is Nf/f
%               std of edges s
%
% I     = image with square

function I=LSM_generate_square(N0,Nf,f_min,f_max,par)
% size Nf/par(1)
f = par(1);
% std of slope
s = par(2);
% size of image
N=2*N0+1; %+2*(b+1)
% ccordinates of centre
N2=N0+1;
for i=1:N
    for j=1:N
        I(i,j)=floor((f_max-f_min) ...
        /(1+exp(-(i-(N2-Nf/f))/s)) ...
        /(1+exp(-(j-(N2-Nf/f))/s)) ...
        /(1+exp(-(N2+Nf/f-i)/s)) ...
        /(1+exp(-(N2+Nf/f-j)/s)) ...
        +f_min);
    end
end
return