%% function generate_F_Gauss
%
% mean_a    = mean amplitude
% sigma_a   = standard deviation of signal
% bandwidth = effective bandwidth of signal
% K         -> K^2 number of samples for generating complex amplitudes
%
% u         = KxKmatrix of frequencies
% F         = KxK complex Matrix of amplitudes (random phase)
%
% wf 3/2020

function [u,F] = generate_F_Gauss_2D(mean_a,sigma_a,bandwidth,K)

% provide arrays
u       = zeros(K,2); 
F       = zeros(K,1);
% random frequencies in Gaussian with sigma = bandwidth
u       = rand_gauss([0,0]',bandwidth^2*eye(2),K)';
% zero frequency 
u(1,:)  = [0,0];
% complex amplitude
F       = normpdf(u(:,1),0,bandwidth).*normpdf(u(:,2),0,bandwidth).*exp(1i*2*pi*rand(K,1));
F(1)=0;
% normalize 
F       = F/norm(F)*sigma_a*sqrt(2);
% set mean
F(1)  = mean_a;
return

