function h = hk(t,p)
% k-th pixel with coordinates (i,j) in h as a function of f
%function hk = hk(theta,[zk;f(:)]]);

N  = sqrt(length(p)-2);
Nf = (N-1)/2;
f  = reshape(p(3:end),N,N);

Ai  = inv([t(1) t(3) t(5);t(2) t(4) t(6); 0 0 1]);
xh = Ai*[p(1);p(2);1];          % real coordinates in f (centred)
xc=xh(1);
yc=xh(2);
x=xc+Nf+1;                      % pixel coordinates in f
y=yc+Nf+1;
h  = t(7)*LSM_f_cubic_interpolation(x,y,f)+t(8);
end