function z=LSM_f_cubic_interpolation(x,y,f)
% spline interpolation
%
% f   = N x M array of function values
% x,y = real coordinates \in [2:N-1,2:M-1]
%
% z   = interpolated value
%
% wf 08/2012

i=floor(x);
j=floor(y);
u=x-i;
v=y-j;
p=[1 u u^2 u^3]';
q=[1 v v^2 v^3]';
M= 1/2*[  0  2  0  0 ;
         -1  0  1  0;
          2 -5  4 -1;
         -1  3 -3  1];
Fij = [f(i-1,j-1), f(i-1,j), f(i-1,j+1), f(i-1,j+2);...
       f(i  ,j-1), f(i  ,j), f(i  ,j+1), f(i  ,j+2);...
       f(i+1,j-1), f(i+1,j), f(i+1,j+1), f(i+1,j+2);...
       f(i+2,j-1), f(i+2,j), f(i+2,j+1), f(i+2,j+2);...
        ];   
z=p'*M*Fij*M'*q;  
end