function zx=LSM_fx_cubic_smoothing(x,y,f)
% B-spline smoothing x-derivative
%
% f   = N x M array of function values 
% x,y = real coordinates \in [2:N-2,2:M-1]
%
% zx   = smoothed value of x-gradient
%
% wf 08/2012

i=floor(x);
j=floor(y);
u=x-i;
v=y-j;
p=[1 u u^2 u^3]';
q=[1 v v^2 v^3]';
M= 1/6*[ 1  4  1  0;...
        -3  0 +3  0;...
         3 -6 +3  0;...
        -1  3 -3  1];
M1= 1/2*[-1  0  1  0;...
          2 -4  2  0;...
         -1  3 -3  1;...
          0  0  0  0]; 
Fij = [f(i-1,j-1), f(i-1,j), f(i-1,j+1), f(i-1,j+2);...
       f(i  ,j-1), f(i  ,j), f(i  ,j+1), f(i  ,j+2);...
       f(i+1,j-1), f(i+1,j), f(i+1,j+1), f(i+1,j+2);...
       f(i+2,j-1), f(i+2,j), f(i+2,j+1), f(i+2,j+2);...
        ];   
zx=p'*M1*Fij*M'*q;
end