function zx=LSM_fy_cubic_interpolation(x,y,f)
% B-spline interpolation x-derivative
%
% f   = N x M array of function values 
% x,y = real coordinates \in [2:N-2,2:M-1]
%
% zx   = interpolated value of x-gradient
%
% wf 08/2012

i=floor(x);
j=floor(y);
u=x-i;
v=y-j;
p=[1 u u^2 u^3]';
q=[1 v v^2 v^3]';
M=  1/2*[  0  2  0  0 ;
         -1  0  1  0;
          2 -5  4 -1;
         -1  3 -3  1];
M1= 1/2*[  -1   0   1   0;
           4 -10   8  -2;
          -3   9  -9   3;
           0   0   0   0];  
Fij = [f(i-1,j-1), f(i-1,j), f(i-1,j+1), f(i-1,j+2);...
       f(i  ,j-1), f(i  ,j), f(i  ,j+1), f(i  ,j+2);...
       f(i+1,j-1), f(i+1,j), f(i+1,j+1), f(i+1,j+2);...
       f(i+2,j-1), f(i+2,j), f(i+2,j+1), f(i+2,j+2);...
        ];   
zx=p'*M*Fij*M1'*q;
end